ServiceConfig (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class ServiceConfig

    java.lang.Object
      org.hyperic.sigar.win32.ServiceConfig

    public class ServiceConfig

extends java.lang.Object

Field Summary
`static int` | `ERROR_CRITICAL` The startup program logs the error, if possible.
`static int` | `ERROR_IGNORE` The startup (boot) program logs the error but continues the startup operation.
`static int` | `ERROR_NORMAL` The startup program logs the error and displays a message box pop-up but continues the startup operation.
`static int` | `ERROR_SEVERE` The startup program logs the error.
`static int` | `START_AUTO` A service started automatically by the service control manager during system startup.
`static int` | `START_BOOT` A device driver started by the system loader.
`static int` | `START_DISABLED` A service that cannot be started.
`static int` | `START_MANUAL` A service started by the service control manager when a process calls the StartService function.
`static int` | `START_SYSTEM` A device driver started by the IoInitSystem function.
`static int` | `TYPE_ADAPTER`
`static int` | `TYPE_FILE_SYSTEM_DRIVER` File system driver service.
`static int` | `TYPE_INTERACTIVE_PROCESS` The service can interact with the desktop.
`static int` | `TYPE_KERNEL_DRIVER` Driver service.
`static int` | `TYPE_RECOGNIZER_DRIVER`
`static int` | `TYPE_WIN32_OWN_PROCESS` Service that runs in its own process.
`static int` | `TYPE_WIN32_SHARE_PROCESS` Service that shares a process with other services.

Constructor Summary
`ServiceConfig(java.lang.String name)`

Method Summary
`java.lang.String[]` | `getArgv()`
`java.lang.String[]` | `getDependencies()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`int` | `getErrorControl()`
`java.lang.String` | `getErrorControlString()`
`java.lang.String` | `getExe()`
`java.lang.String` | `getLoadOrderGroup()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getStartName()`
`int` | `getStartType()`
`java.lang.String` | `getStartTypeString()`
`int` | `getTagId()`
`int` | `getType()`
`java.util.List` | `getTypeList()`
`void` | `list(java.io.PrintStream out)`
`void` | `setDependencies(java.lang.String[] dependencies)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setErrorControl(int errorControl)`
`void` | `setLoadOrderGroup(java.lang.String loadOrderGroup)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPath(java.lang.String path)`
`void` | `setStartName(java.lang.String startName)`
`void` | `setStartType(int startType)`
`void` | `setTagId(int tagId)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_BOOT

    public static final int START_BOOT

  A device driver started by the system loader. This value is valid only for driver services.

  See Also:
    Constant Field Values

### START_SYSTEM

    public static final int START_SYSTEM

  A device driver started by the IoInitSystem function. This value is valid only for driver services.

  See Also:
    Constant Field Values

### START_AUTO

    public static final int START_AUTO

  A service started automatically by the service control manager during system startup.

  See Also:
    Constant Field Values

### START_MANUAL

    public static final int START_MANUAL

  A service started by the service control manager when a process calls the StartService function.

  See Also:
    Constant Field Values

### START_DISABLED

    public static final int START_DISABLED

  A service that cannot be started. Attempts to start the service result in the error code ERROR_SERVICE_DISABLED.

  See Also:
    Constant Field Values

### TYPE_KERNEL_DRIVER

    public static final int TYPE_KERNEL_DRIVER

  Driver service.

  See Also:
    Constant Field Values

### TYPE_FILE_SYSTEM_DRIVER

    public static final int TYPE_FILE_SYSTEM_DRIVER

  File system driver service.

  See Also:
    Constant Field Values

### TYPE_ADAPTER

    public static final int TYPE_ADAPTER

See Also:
  Constant Field Values

### TYPE_RECOGNIZER_DRIVER

    public static final int TYPE_RECOGNIZER_DRIVER

See Also:
  Constant Field Values

### TYPE_WIN32_OWN_PROCESS

    public static final int TYPE_WIN32_OWN_PROCESS

  Service that runs in its own process.

  See Also:
    Constant Field Values

### TYPE_WIN32_SHARE_PROCESS

    public static final int TYPE_WIN32_SHARE_PROCESS

  Service that shares a process with other services.

  See Also:
    Constant Field Values

### TYPE_INTERACTIVE_PROCESS

    public static final int TYPE_INTERACTIVE_PROCESS

  The service can interact with the desktop.

  See Also:
    Constant Field Values

### ERROR_IGNORE

    public static final int ERROR_IGNORE

  The startup (boot) program logs the error but continues the startup operation.

  See Also:
    Constant Field Values

### ERROR_NORMAL

    public static final int ERROR_NORMAL

  The startup program logs the error and displays a message box pop-up but continues the startup operation.

  See Also:
    Constant Field Values

### ERROR_SEVERE

    public static final int ERROR_SEVERE

  The startup program logs the error. If the last-known good configuration is being started, the startup operation continues. Otherwise, the system is restarted with the last-known-good configuration.

  See Also:
    Constant Field Values

### ERROR_CRITICAL

    public static final int ERROR_CRITICAL

  The startup program logs the error, if possible. If the last-known good configuration is being started, the startup operation fails. Otherwise, the system is restarted with the last-known good configuration.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceConfig

    public ServiceConfig(java.lang.String name)

Method Detail

### getPath

    public java.lang.String getPath()

  Returns:
    Returns the path.

### setPath

    public void setPath(java.lang.String path)

  Parameters:
    `path` - The path to set.

### getArgv

    public java.lang.String[] getArgv()

### getExe

    public java.lang.String getExe()

### getDependencies

    public java.lang.String[] getDependencies()

  Returns:
    Returns the dependencies.

### setDependencies

    public void setDependencies(java.lang.String[] dependencies)

  Parameters:
    `dependencies` - The dependencies to set.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns:
    Returns the displayName.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Parameters:
    `displayName` - The displayName to set.

### getErrorControl

    public int getErrorControl()

  Returns:
    Returns the errorControl, one of ERROR_* constants.

### setErrorControl

    public void setErrorControl(int errorControl)

  Parameters:
    `errorControl` - The errorControl to set, one of ERROR_* constants.

### getErrorControlString

    public java.lang.String getErrorControlString()

### getLoadOrderGroup

    public java.lang.String getLoadOrderGroup()

  Returns:
    Returns the loadOrderGroup.

### setLoadOrderGroup

    public void setLoadOrderGroup(java.lang.String loadOrderGroup)

  Parameters:
    `loadOrderGroup` - The loadOrderGroup to set.

### getStartName

    public java.lang.String getStartName()

  Returns:
    Returns the startName.

### setStartName

    public void setStartName(java.lang.String startName)

  Parameters:
    `startName` - The startName to set.

### getStartType

    public int getStartType()

  Returns:
    Returns the startType, one of START_* constants.

### setStartType

    public void setStartType(int startType)

  Parameters:
    `startType` - The startType to set, one of START_* constants.

### getStartTypeString

    public java.lang.String getStartTypeString()

### getTagId

    public int getTagId()

  Returns:
    Returns the tagId.

### setTagId

    public void setTagId(int tagId)

  Parameters:
    `tagId` - The tagId to set.

### getType

    public int getType()

  Returns:
    Returns the type, one of TYPE_* constants.

### getTypeList

    public java.util.List getTypeList()

### setType

    public void setType(int type)

  Parameters:
    `type` - The type to set, one of TYPE_* constants.

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### list

    public void list(java.io.PrintStream out)
              throws Win32Exception

  Throws:
    `Win32Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.